summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJames Henstridge <james@jamesh.id.au>2004-11-28 08:14:05 +0000
committerJames Henstridge <jamesh@src.gnome.org>2004-11-28 08:14:05 +0000
commitebd8e46d445019839868f1e907f167dad0e16c86 (patch)
tree926a932b2fcdd592b238d783a9351bebb291794d /autogen.sh
parenta37db9f09d7288580031c42b61ec73e3a167eb5c (diff)
downloadgnome-control-center-ebd8e46d445019839868f1e907f167dad0e16c86.tar.gz
use GNOMELOCALEDIR.
2004-11-28 James Henstridge <james@jamesh.id.au> * vfs-methods/themus/themus-properties-main.c: use GNOMELOCALEDIR. * vfs-methods/themus/Makefile.am: similar changes to the fontilus ones. * vfs-methods/fontilus/fontilus-context-menu.c: same here. * vfs-methods/fontilus/font-view.c: use GNOMELOCALEDIR rather than FONTILUS_LOCALEDIR in the bindtextdomain() call, to match the rest of gnome-control-center. * vfs-methods/fontilus/Makefile.am: similar schema and desktop file fixes. Don't include the old mime files in the dist. * schemas/Makefile.am: remove .schemas files on clean, when installing schemas, look for them in builddir rather than srcdir. * gnome-settings-daemon/actions/Makefile.am: fix up build rules so that ALSA_CFLAGS isn't defined multiple times (use the newer automake += syntax). * control-center/Makefile.am: distribute $(icon_DATA). * capplets/*/Makefile.am: put the .desktop and .desktop.in files in CLEANFILES. The .desktop.in.in file gets included because it is listed in the configure script. * configure.in: update configure script, and remove macro calls that are not needed by modern versions of Automake. * Makefile.am: remove intltool files on distclean. * autogen.sh: request Automake >= 1.7.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 2 insertions, 20 deletions
diff --git a/autogen.sh b/autogen.sh
index f3e3183b3..4dad4ef1d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,28 +18,10 @@ DIE=0
rm -f .using-gnome-libs-package
-# This is a bit complicated here since we can't use gnome-config yet.
-# It'll be easier after switching to pkg-config since we can then
-# use pkg-config to find the gnome-autogen.sh script.
-
-gnome_autogen=
-gnome_datadir=
-
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
- test -z "$dir" && dir=.
- if test -f $dir/gnome-autogen.sh ; then
- gnome_autogen="$dir/gnome-autogen.sh"
- gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
- break
- fi
-done
-IFS="$ifs_save"
-
-if test -z "$gnome_autogen" ; then
+if ! which gnome-autogen.sh ; then
echo "You need to install the gnome-common module and make"
echo "sure the gnome-autogen.sh script is in your \$PATH."
exit 1
fi
-REQUIRED_AUTOMAKE_VERSION=1.4 GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+REQUIRED_AUTOMAKE_VERSION=1.7 . gnome-autogen.sh